Downloads

Akeeba Backup for Joomla!

Akeeba Backup for Joomla!

version 5.6.0 Stable

Released on: Tuesday, 12 September 2017 04:36

What's new

Custom backup timezone. The time and date in the backup filename and emails will be expressed in the timezone you select. If none is selected, Akeeba Backup will fall back to the Server Timezone selected in the Joomla! Global Configuration page or, if that is not set, GMT. Furthermore, more backup archive naming variables were added for the timezone. Finally, the default backup archive name in new installations will include the timezone in the file name by default.

Display the Secret Word unencrypted in the component's Options page. In the previous version we started storing the Secret Word encrypted. The downside was that you would only see the encrypted version in the Options page which made it difficult to set up backups with third party services (like Watchful.li) or other software (like Akeeba Remote CLI). In this version we are displaying the Secret Word unencrypted for your convenience.

Warning for HHVM. HHVM is an alternative runtime for PHP which is faster than PHP 5 but had some very important compatibility issues. We strongly advise you using PHP 7 which is both faster and, by its nature, much more compatible than HHVM.

The update information is delivered over HTTPS. The update information (availability of new version and download location) is now switched to HTTPS. If you can no longer see updates please contact your host and ask them to unblock HTTPS access on port 443 to cdn.akeebabackup.com (the IP address, if they ask you, varies by location so they should determine it themselves from their server).

Bug fixes. We fixed some minor issues.

Joomla! 3.4 or later

We only support Joomla! 3.4 or later, including 3.5, 3.6 and 3.7. We strongly advise you to run the latest available version of Joomla! for security reasons. Older versions of Joomla! have known major security issues which are being actively exploited to hack sites.

PHP 5.4.0 or any later 5.x/7.x version is required

Support for PHP 5.3 has been discontinued. PHP 5.3 has been end of life since August 2014 and widely considered a security risk, unfit for production sites. Our software requries PHP 5.4 or later and is compatible with PHP 5.4, 5.5, 5.6, 7.0 and 7.1. We strongly recommend using PHP 5.6 or 7.0.

We'd like to remind you that Joomla! 3.4 does NOT support PHP 7. PHP 7 is only supported by Joomla! 3.5.0 and later versions. Akeeba Backup will work perfectly fine (and very fast!) on a Joomla! 3.5 or later site running on PHP 7.0.

At the time of this writing we support PHP 7.0 and 7.1. PHP 7.2 is not stable yet. As a result we cannot guarantee that our software will be compatible with PHP 7.2 stable when it's released. We will keep testing with new versions of PHP and update the compatibility status in future versions.

Changelog

Bug fixes

  • [LOW] Editing RegEx filters creates a new entry, doesn't edit in place (gh-623)
  • [LOW] Repeated messages in the JavaScript console after editing a filter in Tabular or RegEx views (gh-625)
  • [LOW] Save & New button in the Configuration page didn't work correctly

New features

  • Added variables for timezone information: [TIME_TZ], [TZ], [TZ_RAW], [GMT_OFFSET]
  • Added warning if HHVM instead of PHP is used
  • Backup Timezone: force all date / time variables to be expressed in a fixed timezone during backup (gh-626)
  • Clicking on "Reload update information" will fix Joomla! erroneously reporting an update is available when you have the latest version installed
  • Display the Secret Word unencrypted in the component's Options page (required for you to easily set up third party services)

Miscellaneous changes

  • Updates now use HTTPS URLs for both the XML update stream and the package download itself

Our Core versions are provided free of charge, but they only scratch the surface of what's possible. Subscribe today to get access to the exclusive features and enhanced support of our Professional releases!

Subscribe Already a subscriber? Log in.